/*
 * blancoDb
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.alias.pool;

/**
 * @author Yasuo Nakanishi
 */
public class Alias {
    private String _name = "";

    private String _alias = "";

    private boolean _matched = false;

    public Alias(String name, String alias) {
        _name = name;
        _alias = alias;
    }

    public String getName() {
        return _name;
    }

    public String getAlias() {
        return _alias;
    }

    public void setMached() {
        _matched = true;
    }

    public boolean isMatched() {
        return _matched;
    }
}